# Copyright (C) 2020-2021 MicroSys Electronics GmbH

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

#URL    = "git://github.com/MicroSysElectronics/u-boot;protocol=https"
#BRANCH = "microsys-s32-bsp34.0"
#SRCREV = "9c4b68131c22338ebb31a7de91930d3f8ce01a8d"

SRCREV = "f30287c440b5371df683aac37b7521048d164d05"
SRC_URI += "file://u-boot.patch"

#inherit u_boot_addons

# devtool wants to copy .config from here...
#B = "${WORKDIR}/${BPN}-${PV}"
DEVTOOL_DISABLE_MENUCONFIG = "1"

DEPENDS += "python3-native"

python do_patch_prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

do_merge_delta_config[noexec] = "1"
